---
title: 'Create website'
description: 'Creates a new website. `adminWalletAddress` can only be used when authenticating with an organization API key.'
openapi: POST /api/websites
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/websites`

`POST https://admin.snagsolutions.io/api/websites`

Creates a new website. `adminWalletAddress` can only be used when authenticating with an organization API key.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Request body

- Content type: `application/json`
  - request body (object) — Schema for creating a new website
    - `organizationId` (string, uuid) — Organization ID for which this website is being created
    - `adminWalletAddress` (array) — Optional admin wallet addresses to grant admin access on creation (organization API key only). Maximum 2.
      - `items` (string)
    - `name` (string, required) — Name of the website
    - `twitterUsername` (string) — Twitter username of the website account
    - `discordUrl` (string) — Discord URL of the website account
    - `telegramUrl` (string) — Telegram URL of the website account
    - `instagramUsername` (string) — Instagram username of the website account
    - `homeUrl` (string) — Home URL of the official website

## Response 200

200
  - response (object) — Schema representing a website
    - `id` (string, uuid, required) — Website ID
    - `name` (string, required) — Website name

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
